%global oversion 1.0M9

Name:           woden
Version:        1.0
Release:        0.5.M9%{?dist}
Summary:        Web Service Description Language (WSDL) validating parser

Group:          Development/Libraries  
License:        ASL 2.0
URL:            http://ws.apache.org/woden/
# svn export https://svn.apache.org/repos/asf/webservices/woden/tags/1.0M9/ woden-1.0M9
# tar caf woden-1.0M9.tar.xz woden-1.0M9
Source0:        %{name}-%{oversion}.tar.xz
# Disable modules whose dependencies are not present in Fedora.  
Patch0:         %{name}-disable-modules.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils    
BuildRequires: maven-local
BuildRequires: maven-shared
BuildRequires: XmlSchema
BuildRequires: apache-commons-logging
BuildRequires: log4j
BuildRequires: xerces-j2
BuildRequires: axiom
Requires:      java
Requires:      jpackage-utils
Requires:      wsdl4j
Requires:      XmlSchema
Requires:      apache-commons-logging
Requires:      log4j
Requires:      xerces-j2
Requires:      axiom

%description
The Woden project is a sub-project of the Apache Web Services Project
to develop a Java class library for reading, manipulating, creating
and writing WSDL documents, initially to support WSDL 2.0 but with the
longer term aim of supporting past, present and future versions of WSDL.

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{oversion}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

# Fix encoding
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.utf8
mv LICENSE.utf8 LICENSE

%install
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_mavenpomdir}

# parent POM
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

# api
install -m 644 %{name}-api/target/%{name}-api-%{oversion}.jar %{buildroot}%{_javadir}/%{name}/%{name}-api.jar
cp %{name}-api/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-api.pom
%add_maven_depmap JPP.%{name}-%{name}-api.pom %{name}/%{name}-api.jar

# impl-commons
for mod in commons dom om; do
  install -m 644 %{name}-${mod}/target/%{name}-impl-${mod}-%{oversion}.jar %{buildroot}%{_javadir}/%{name}/%{name}-impl-${mod}.jar
  cp %{name}-${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-impl-${mod}.pom
  %add_maven_depmap JPP.%{name}-%{name}-impl-${mod}.pom %{name}/%{name}-impl-${mod}.jar
done

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE NOTICE
%{_javadir}/%{name}
%{_mavenpomdir}/JPP*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}


%changelog
* Fri Feb 22 2013 Andy Grimm <agrimm@gmail.com> - 1.0-0.4.M9
- Add maven-shared to BuildRequires (RHBZ#914574)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.M9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0-0.3.M9
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.M9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Andy Grimm <agrimm@gmail.com> - 1.0-0.1.M9
- Initial package
